Bug 467739 - Add amd64_edac driver from IBM
Add amd64_edac driver from IBM
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.1
All Linux
medium Severity medium
: 1.1
: ---
Assigned To: Clark Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-20 12:44 EDT by Clark Williams
Modified: 2009-01-22 05:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-22 05:44:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add the strict_st* functions needed by the amd64_edac driver (5.79 KB, patch)
2008-10-20 12:46 EDT, Clark Williams
no flags Details | Diff
add the amd64_edac driver (223.29 KB, patch)
2008-10-20 12:47 EDT, Clark Williams
no flags Details | Diff
Allow ref F parts to work correctly (1.55 KB, patch)
2008-10-20 12:48 EDT, Clark Williams
no flags Details | Diff

  None (edit)
Description Clark Williams 2008-10-20 12:44:07 EDT
the amd64_edac driver is now the preferred driver for 64-bit AMD processors (over the k8_edac driver).
Comment 1 Clark Williams 2008-10-20 12:46:12 EDT
Created attachment 320887 [details]
add the strict_st* functions needed by the amd64_edac driver

The amd64_edac driver depends on these functions.  They were pulled in
from a later mainline tree.
Comment 2 Clark Williams 2008-10-20 12:47:06 EDT
Created attachment 320888 [details]
add the amd64_edac driver

The amd64_edac driver is the preferred driver for AMD edac.  It supercedes
the k8_edac driver for revF and earlier.
Comment 3 Clark Williams 2008-10-20 12:48:00 EDT
Created attachment 320889 [details]
Allow ref F parts to work correctly

This patch is required to let the rev F machines work with the latest
amd64_edac driver.  Basically, it reorders the driver to determine
the node type earlier in the initialization process.

This patch has been sent upstream to the edac developer, but has
not been committed to SVN yet.
Comment 5 David Sommerseth 2008-11-19 11:14:37 EST
Driver available on mrg-rt.2.6.24.7-93.  Tested on sun-x4600m2-01.rhts.bos.redhat.com.

---------------------------------------------------------------------------
[root@sun-x4600m2-01 ~]# lsmod | grep edac
k8_edac                25544  0 
amd64_edac             44384  0 
edac_core              52240  11 k8_edac,amd64_edac
[root@sun-x4600m2-01 ~]# 
---------------------------------------------------------------------------
EDAC amd64: This node reports that Memory ECC is currently 'disabled'.
EDAC amd64:     bit 0x400000 in register 0x40 of the MISC_CONTROL device (0000:00:18.2) should be enabled
EDAC amd64:     bit 0x10 in MSR register 0x17b of Memory node 0 should be enabled
EDAC amd64: This node reports that Memory ECC is currently 'disabled'.
EDAC amd64:     bit 0x400000 in register 0x40 of the MISC_CONTROL device (0000:00:19.2) should be enabled
EDAC amd64:     bit 0x10 in MSR register 0x17b of Memory node 1 should be enabled
................
EDAC MC: Rev F or later detected
EDAC amd64: 'ecc_enable_override' parameter is active, Enabling AMD ECC hardware now: CAUTION
EDAC MC0: Giving out device to 'amd64_edac' 'Athlon64/Opteron/Rev F': DEV 0000:00:18.2
EDAC MC: Rev F or later detected
EDAC amd64: 'ecc_enable_override' parameter is active, Enabling AMD ECC hardware now: CAUTION
EDAC MC1: Giving out device to 'amd64_edac' 'Athlon64/Opteron/Rev F': DEV 0000:00:19.2
---------------------------------------------------------------------------

Needed to use ecc_enable_override=1 when loading the module, as the ECC flag was not enabled in BIOS.

The amd64_edac was attempted loaded first on boot, but due to missing ECC flag, it did not load.  The k8_edac was then loaded as a second attempt.  I had to unload k8_edac and reload amd64_edac to complete this test.
Comment 6 Clark Williams 2008-11-19 12:12:46 EST
I have an updated ibm-prtm that does two things:

1. Adds an /etc/modprobe.d/ibm_amd file which has the ecc_emable_override=1
   option

2. Blacklists k8_edac using /etc/modprobe.d/blacklist-k8_edac

I'll push this package through brew today
Comment 8 errata-xmlrpc 2009-01-22 05:44:56 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0009.html

Note You need to log in before you can comment on or make changes to this bug.